

-- 新建一个 table，避免全局变量污染。用以包括脚本中所定义的所有的全局方法。
local container = {}

-- 新建根节点 Node，目前这个方法的名字为固定的，必须为 CreateCustomNode。
-- 方法的最后一句必须是一个 return 语句，把新建的结点返回。
function container.CreateCustomNode()
	local rootNode = cccw.CWCsb:create()
	--rootNode:setContentSize({width = 100.0000, height = 50.0000})
	--rootNode:setString('')
	--rootNode:setPosition(0, 0)
    return rootNode
end

-- 返回该插件所扩展的基础类型。
function container.GetBaseType()
    return 'Node'
end

function container.GetCsb(root)
    return root:getCsbFile()
end

function container.SetCsb(root, value)
    root:setCsbFile(value)
end

-- 返回纹理文件名字
function container.GetCsbResource(root)
    return root:getCsbFile()
end

function container.SetCsbResource(root, value)
    root:setCsbFile(value)
    ccslog('Csb Resource value : ' .. value)
end
-- 返回这个包含所有全局方法的表
return container